RhumbCalculator (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class RhumbCalculator

    java.lang.Object
      com.bbn.openmap.proj.RhumbCalculator

    public class RhumbCalculator

extends java.lang.Object

Version:
  $Header: /cvs/distapps/openmap/src/openmap/com/bbn/openmap/proj/RhumbCalculator .java,v 1.1 2004/05/10 20:53:58 dietrick Exp $
Author:
  pawkub This class contains methods that helps you make calculations performed ASSOCIATED The so-called. Rhumbline. This class contains several oglnych wzorw and beyond OpenMap is ASSOCIATED with nothing. You can drop into OpenMap and contained in it, where will you need (and it is places a few).

Method Summary
`static LatLonPoint` | `calculatePointOnRhumbLine(LatLonPoint point, double azimuth, double dist)` This method allows public location point on the Rhumb Line, znajc Location reference point, the azimuth and Distance.
`static double` | `getAzimuthBetweenPoints(LatLonPoint p1, LatLonPoint p2)` This method allows you to calculate the azimuth between the points.
`static double` | `getDistanceBetweenPoints(LatLonPoint p1, LatLonPoint p2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### calculatePointOnRhumbLine

    public static LatLonPoint calculatePointOnRhumbLine(LatLonPoint point,
                                                        double azimuth,
                                                        double dist)

  This method allows public location point on the Rhumb Line, znajc Location reference point, the azimuth and Distance.

  Parameters:
    `point` - LatLonPoint the staring point.
    `azimuth` - in radians, clockwise from North (0.0).
    `dist` - distance in radians.
  Returns:
    LatLonPoint on the rhumb line at the azimuth and distance specified.

### getDistanceBetweenPoints

    public static double getDistanceBetweenPoints(LatLonPoint p1,
                                                  LatLonPoint p2)

  Parameters:
    `p1` - LatLonPoint the first point.
    `p2` - LatLonPoint to the second point.
  Returns:
    distance in radians

### getAzimuthBetweenPoints

    public static double getAzimuthBetweenPoints(LatLonPoint p1,
                                                 LatLonPoint p2)

  This method allows you to calculate the azimuth between the points.

  Parameters:
    `p1` - LatLonPoint the first point.
    `p2` - LatLonPoint to the second point.
  Returns:
    azimuth in radians of the bearing from the first point to the second point.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details